/*
 @Author: RAMSThemes
 @URL: https://ramsthemes.com  
 This file contains the styling for the actual theme, this
 is the file you need to edit to change the look of the
 theme. 
*/

/*----------------------------------------------------------------------
TABLE OF CONTENTS:
------------------------------------------------------------------------
1. BASE STYLES
2. LOADER ANIMATION ON PAGE LOAD
3. FADE EFFECT ON PAGE LOAD
4. PACE LOAD BAR
5. NAVBAR
6. SIDE NAV MENU
7. LOGO
8. SEARCH
9. LAYOUT
10. INFINITE SCROLL
11. ISOTOPE
12. CATEGORIES AND TAGS LIST
13. SINGLE STYLES 
14. SHARE BUTTONS
15. WORDPRESS GENERAL STYLES
16. WORDPRESS PAGED NAVIGATION
17. WORDPRESS WIDGETS STYLES
18. GALLERY STYLES
19. CONTACT FORM 7 STYLES
20. SWITCH FOR ENABLE-DISABLE NORMAL AND DARK MODE
21. RESPONSIVE STYLES
------------------------------------------------------------------------*/

/*----------------------- 1. BASE STYLES ------------------------------ */

body {
	font-family: 'Space Mono', monospace;
    font-size: .875rem;
    width: 100%;
    height: 100%;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    overflow-x: hidden;
    line-height: 1.65;
}

body a:hover {
    text-decoration: none;
}

button:focus {
    outline: 0;
}

input {
    outline: none;
}

input::-webkit-search-decoration,
input::-webkit-search-cancel-button {
    display: none;
}

input:-moz-placeholder {
    color: #999;
}

input::-webkit-input-placeholder {
    color: #999;
}

p {
    margin-bottom: 24px;
}

p a {
    font-weight: bold;
}

img {
    transition: 0.3s;
}

a:hover img {
    opacity: .8;
    transition: 0.3s;
}

.bottom {
    bottom: 0;
}

.top {
    top: 0;
}

.left {
    left: 0;
}

.right {
    right: 0;
}

.overflow-hidden {
    overflow: hidden;
}

.modal-header {
	border-bottom: 0;
}

.close {
	text-shadow: unset;
}

.clear {
    clear: both;
}

/*----------------------- 2. LOADER ANIMATION ON PAGE LOAD -------------------------------------------- */

.loader-animation {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: url('../img/loading.svg') 50% 50% no-repeat rgb(249, 249, 249);
}

/*----------------------- 3. FADE EFFECT ON PAGE LOAD ------------------------------ */

#loadfade {
    animation: fadein 2s;
    -moz-animation: fadein 2s;
    -webkit-animation: fadein 2s;
    -o-animation: fadein 2s;
}

@keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@-moz-keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@-webkit-keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@-o-keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/*----------------------- 4. PACE LOAD BAR ------------------------------ */

.pace {
    -webkit-pointer-events: none;
    pointer-events: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

.pace-inactive {
    display: none;
}

.pace .pace-progress {
    position: fixed;
    z-index: 2000;
    top: 0;
    right: 100%;
    width: 100%;
    height: 2px;
}

/*----------------------- 5. NAVBAR ------------------------------ */

.fixed-header {
    position: fixed;
    width: 100%;
    backface-visibility: hidden;
    z-index: 1021;
}

.pt-fixed {
    position: absolute;
    width: 100%;
	margin-top: 1em;
}

.navbar-shrink {
    height: 70px;
}

.logo-shrink {
    height: 50px;
}

.hamb-menu {
    position: relative;
    cursor: pointer;
}

.navbar-pos {
    left: 0;
    right: 0;
}

/*----------------------- 6. SIDE NAV MENU ------------------------------ */

.scrollbar-sidenav, .scrollbar-sidenav-res { /* Scrollbar js */
    height: calc(100vh - 4rem); 
	scrollbar-width: none;
	scrollbar-color: transparent transparent;
}

.sidenav-l {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 10000;
    top: 0;    
    overflow-x: hidden;
    transition: 0.5s;   
	padding-top: 25px;
}

.sidenav-w {
    width: 312px;
}

.sidenav a {
    text-decoration: none;
    transition: 0.3s;
}

.sidenav-l .closebtn {
    position: absolute;
    cursor: pointer;
	z-index: 999;
	right: 55px;
}

.border-shadow-right {
	box-shadow: 0.125rem 0 15px -4px rgba(0, 0, 0, 0.075);
}

.buttons-sidenav {
    position: absolute;
    width: 260px;
    margin: 0 25px;
    padding: 0 10px;
	height: 20px;
    z-index: 99;
}

.pointerbtn {
    position: relative;
	float: left;
    cursor: pointer;
	z-index: 999;
}

.closebtn:hover {
    color: #333;
}

.menu-nav-container {
    padding: 1rem;
	width: 300px;
}

ul.menu {
    padding: 0;    
	margin-top: 1rem;
	font-weight: 300;
}

ul.menu>li {
    position: relative;
    display: block;
    padding: .95rem;
}

ul.sub-menu {
    padding: 0;
	margin-top: .95em;
}

.sub-menu li {
    list-style: none;
}

.sub-menu li a {
    padding: .75em;
}

.menu-item a {
	display: block;
}

.menu-item .parent {
    position: absolute;
}

.dropdown-menu {
	margin: 0.25rem 0;
	font-size: unset;
	border: 0;
	min-width: auto;
	box-shadow: 0 15px 20px 0 rgba(0,0,0,.08), 0 1px 4px 0 rgba(0,0,0,.08);
}

.dropdown-menu-blog-w {
    width: 330px;
}

.dropdown-menu-center {
	left: 50%;
	right: auto;
	text-align: center;
	transform: translate(-50%, 0);
}

.dropdown-btn {
    text-decoration: none;
    border: 0;
    background: none;
    cursor: pointer;
    outline: none;
    float: right;
	vertical-align: middle;
}

.dropdown-sidenav-btn {
    text-decoration: none;
    border: 0;
    background: none;
    cursor: pointer;
    outline: none;
    padding: calc(3px + 0.25rem);
    padding-right: 13px;
    right: 0;
    padding-left: 92%;
    margin: -3px 3px;
}

.dropdown-item.active, .dropdown-item:active {
    color: unset;
    background-color: unset;
}

.sub-menu {
    display: none;
}

.menu-bar {
    margin: 0;
}

.menu-bar li {
    display: inline-block;
    margin-right: 1em;
}

.menu-hover, .menu-hover:hover {
	transition: 0.3s;
}

.current_page_item .parent, .current-menu-item {
    font-weight: 500;
}

.toggle-open-close-right {
	vertical-align: middle;
}

#sidebar {	
	min-width: 295px;
    max-width: 295px;
    padding-left: 15px;
}

#sidebarMenu {	
    min-width: 295px;
    max-width: 295px;
    padding-left: 15px;
	
}

input[type="checkbox"]:checked ~ #sidebarMenu {
    transform: translateX(0);
}

input[type=checkbox] {
    transition: all 0.3s;
    box-sizing: border-box;
    display: none;
}

.sidebarIconToggle {
    cursor: pointer;
    z-index: 9999;
    height: 100%;
    width: 100%;
    height: 22px;
    width: 22px;
}

.spinner {
    transition: all 0.3s;
    box-sizing: border-box;
    position: absolute;
    height: 3px;
    width: 100%;
}

.horizontal {
    transition: all 0.3s;
    box-sizing: border-box;
    position: relative;
    float: left;
    margin-top: 3px;
}

.diagonal.part-1 {
    position: relative;
    transition: all 0.3s;
    box-sizing: border-box;
    float: left;
}

.diagonal.part-2 {
    transition: all 0.3s;
    box-sizing: border-box;
    position: relative;
    float: left;
    margin-top: 3px;
}

input[type=checkbox]:checked ~ .sidebarIconToggle > .horizontal {
    transition: all 0.3s;
    box-sizing: border-box;
    opacity: 0;
}

input[type=checkbox]:checked ~ .sidebarIconToggle > .diagonal.part-1 {
    transition: all 0.3s;
    box-sizing: border-box;
    transform: rotate(135deg);
    margin-top: 8px;
}

input[type=checkbox]:checked ~ .sidebarIconToggle > .diagonal.part-2 {
    transition: all 0.3s;
    box-sizing: border-box;
    transform: rotate(-135deg);
    margin-top: -9px;
}

.sidenav-margin-top {
    margin-top: 3em;
}

.sidenav-nav-container {
    padding: .2rem;
	width: 260px;
	margin-top: 1em;
}

.sidenav-nav-container-res {
    padding: 0;
    margin: 15px 0 0 24px;
	width: 260px;
}

.sidenav-nav-menu-container { 
    padding: .5rem 0;
}

.sidenav-nav-widget-container {
	padding: .5rem;
}

.toggle-sidenav-button {
	position: absolute;
    right: 3.5rem;
}

.bg-sidemenu-responsive {
	background: #f7f7f7;
}

.dropdown-toggle::after  {
	display: inline-block;
	padding: 0;
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content: "\f107";
	vertical-align: middle;
	border: 0;
}

.navbar-ft .dropdown-menu, .navbar-dd .dropdown-menu, .dropup .dropdown-menu {
    font-size: 14px;
}

.navbar-ft-opt {
	padding: 0.5rem;
}

.navbar-icons {	
	float: right;
}

.menu-right {
    width: auto;
}

.navbar-box label {
	margin-top: 0.5rem;
}

.navigation-sticky-top {
    position: -webkit-sticky;
    position: sticky;
    z-index: 1;
}


/*----------------------- 7. LOGO ------------------------------ */

.navbar-logo,
.navbar-logo-left {
    position: absolute;
    top: 0;
    bottom: 0;
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    margin-left: auto;
    margin-right: auto;
    width: max-content;
    width: intrinsic;
    width: -moz-max-content;
    width: -webkit-max-content;
}

.navbar-logo {
    left: 0;
    right: 0;
}

.navbar-logo-left {
    left: 2rem;
    right: unset;
}

.logow {
    display: block;
}

.logob {
    display: none;
}

/*----------------------- 8. SEARCH ------------------------------ */

#search {
    /* Transition */
    -webkit-transition: all 0.5s ease-in-out;
    -moz-transition: all 0.5s ease-in-out;
    -o-transition: all 0.5s ease-in-out;
    -ms-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
}

#search input[type="search"] {
    width: 100%;
    background: unset;
    text-align: center;
    margin-bottom: .75em;
    font-size: 1.25rem;
    padding: 5px 0;
    outline: none;
    border: 0;
}

/* CUSTOM SEARCH BAR
-------------------- */

#custom-search-input {
    width: 100%;
    position: relative;
}

#custom-search-input button {
    border: 0;
    background: none;
    padding: 6px;
    position: absolute;
    right: 0;
    margin-bottom: 0;
    color: #8E8E8E;
    top: 0;
}

input[type="search"] {
    -webkit-appearance: textfield;
    -webkit-box-sizing: content-box;
    font-family: inherit;
    font-size: 100%;
}

input[type="search"] {
    background: #ededed url('../img/search.svg') no-repeat 9px center;
    background-size: 18px 18px;
    border: 1px solid #efefef;
    padding: 7px 15px 9px 32px;
    width: 55px;
    -webkit-transition: all .5s;
    -moz-transition: all .5s;
    transition: all .5s;
}

input[type="search"]:focus {
    width: 130px;
    background-color: #ededed;
}

/*----------------------- 9. LAYOUT ------------------------------ */

.img__wrap {
    position: relative;
    transition: 0.3s;
}

.img__wrap:hover {
    opacity: .8;
    transition: 0.3s;
}

.img__description_layer {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.6);
    color: #fff;
    visibility: hidden;
    opacity: 0;
    display: flex;
    transition: opacity .3s, visibility .2s;
}

.img__description {
    transition: 0.3s;
    transform: translateY(1em);
}

.img__description a {
    color: #FFF;
}

.img__description a:hover {
    color: #FFF;
}

.img__wrap:hover .img__description {
    transform: translateY(0);
}

.square {
    width: 100%;
}

.square-50 {
    width: 50%;
    float: left;
}

.square-general {
    width: 100%;
    position: relative;
    padding-bottom: 100%;
}

.square-demo {
    padding-bottom: 100%;
}

.rows-demo {
    padding-bottom: 30%;
}

.square-ramsgrid-demo {
	width: 50%;
	float: left;
    padding-bottom: 50%;
}

.square-border {
    border: 1px solid;
}

.half {
    width: 50%;
}

.entry-inner {
    bottom: 0;
    position: absolute;
    top: 0;
    vertical-align: middle;
    width: 50%;
    right: 0;
}

.posts .hentry:nth-of-type(4n+3) .square-50,
.posts .hentry:nth-of-type(4n+4) .square-50,
.posts .hentry:nth-of-type(4n+3) .square-ramsgrid-demo,
.posts .hentry:nth-of-type(4n+4) .square-ramsgrid-demo {
    float: right;
}

.posts .hentry:nth-of-type(4n+3) .entry-inner,
.posts .hentry:nth-of-type(4n+4) .entry-inner {
    left: 0;
    right: auto;
}

.arrow-icon:before {
    content: "\f061";
    /* right */
    font-family: "Font Awesome 5 Pro";
    font-weight: 900;
    position: absolute;
    padding: 0 0.55rem;
    background: #E8E8E8;
    right: 0;
	top: 0;
    border-radius: 25em;
    width: 32px;
    height: 32px;
    line-height: 32px;
    margin: 0.65em;
}

.posts .hentry:nth-of-type(4n+3) .arrow-icon:before,
.posts .hentry:nth-of-type(4n+4) .arrow-icon:before {
    content: "\f060";
    /* left */
    left: 0;
    right: unset;
}

.overlaytxt {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, .8);
    overflow: hidden;
    width: 100%;
    height: 0;
    transition: 0.3s ease;
}

.overlaytxt a:hover {
    color: #fff;
}

.img__wrap:hover .overlaytxt {
    height: 100%;
}

.img__wrap img {
    transition: 0.3s ease-in-out;
    display: block;
}

.imageoutlink {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.txt {
    color: white;
    width: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.txt a {
    color: #fff;
}

.img-cover {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    -webkit-object-fit: cover;
    -moz-object-fit: cover;
    -o-object-fit: cover;
    -ms-object-fit: cover;
}

/* BACK TO TOP AND BACK TO HOME BUTTON
--------------------- */

#back-to-top,
#back-to-home {
    background: #212529;
    color: #fff;
    position: fixed;
    bottom: 30px;
    z-index: 9999;
    width: 32px;
    height: 32px;
    text-align: center;
    line-height: 32px;
    cursor: pointer;
    border: 0;
    text-decoration: none;
    transition: opacity 0.2s ease-out;
    opacity: 0;
}

#back-to-top {
    right: 16px;
}

#back-to-home {
    right: 56px;
}

#back-to-top.show {
    opacity: 1;
}

#back-to-home.show {
    opacity: 1;
}

/*----------------------- 10. INFINITE SCROLL ------------------------------ */

.view-more-button {
    text-transform: uppercase;
}

.page-load-status {
    display: none;
    /* hidden by default */
    padding: 20px 0;
    text-align: center;
    color: #777;
}

.loader-ellips {
    font-size: 20px;
    /* change size here */
    position: relative;
    width: 4em;
    height: 1em;
    margin: 10px auto;
}

.loader-ellips__dot {
    display: block;
    width: 1em;
    height: 1em;
    border-radius: 0.5em;
    background: #555;
    /* change color here */
    position: absolute;
    animation-duration: 0.5s;
    animation-timing-function: ease;
    animation-iteration-count: infinite;
}

.loader-ellips__dot:nth-child(1),
.loader-ellips__dot:nth-child(2) {
    left: 0;
}

.loader-ellips__dot:nth-child(3) {
    left: 1.5em;
}

.loader-ellips__dot:nth-child(4) {
    left: 3em;
}

@keyframes reveal {
    from {
        transform: scale(0.001);
    }

    to {
        transform: scale(1);
    }
}

@keyframes slide {
    to {
        transform: translateX(1.5em)
    }
}

.loader-ellips__dot:nth-child(1) {
    animation-name: reveal;
}

.loader-ellips__dot:nth-child(2),
.loader-ellips__dot:nth-child(3) {
    animation-name: slide;
}

.loader-ellips__dot:nth-child(4) {
    animation-name: reveal;
    animation-direction: reverse;
}

/*----------------------- 11. ISOTOPE ------------------------------ */

.projects {
    padding: 0.25rem 0.5em;
    line-height: 1.5;
    vertical-align: middle;
    font-weight: bold;
}

/* ISOTOPE HOVER STYLES
----------------------- */

.link {
    outline: none;
    text-decoration: none;
    position: relative;
    color: #9e9ba4;
    display: inline-block;
}

.link--works {
    overflow: hidden;
    color: #242424;
}

.link--works:hover {
    color: #242424;
}

.link--works::after {
    content: '';
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    right: 0;
    z-index: -1;
    background: #191919;
    -webkit-transform: translate3d(101%, 0, 0);
    transform: translate3d(101%, 0, 0);
    -webkit-transition: -webkit-transform 0.5s;
    transition: transform 0.5s;
    -webkit-transition-timing-function: cubic-bezier(0.7, 0, 0.3, 1);
    transition-timing-function: cubic-bezier(0.7, 0, 0.3, 1);
}

.link--works:hover::after {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}

.link--works span {
    display: block;
    position: relative;
}

.link--works span::before {
    content: attr(data-letters);
    position: absolute;
    color: #fff;
    left: 0;
    overflow: hidden;
    white-space: nowrap;
    width: 0%;
    -webkit-transition: width 0.5s;
    transition: width 0.5s;
    -webkit-transition-timing-function: cubic-bezier(0.7, 0, 0.3, 1);
    transition-timing-function: cubic-bezier(0.7, 0, 0.3, 1);
}

.link--works:hover span::before {
    width: 100%;
}

.isotope:after {
    content: '';
    display: block;
    clear: both;
}

.isotope-item {
    z-index: 2;
}

.isotope-hidden.isotope-item {
    pointer-events: none;
    z-index: 1;
}

.isotope,
.isotope .isotope-item {
    -webkit-transition-duration: 0.8s;
    -moz-transition-duration: 0.8s;
    -ms-transition-duration: 0.8s;
    -o-transition-duration: 0.8s;
    transition-duration: 0.8s;
}

.isotope {
    -webkit-transition-property: height, width;
    -moz-transition-property: height, width;
    -ms-transition-property: height, width;
    -o-transition-property: height, width;
    transition-property: height, width;
}

.isotope .isotope-item {
    -webkit-transition-property: -webkit-transform, opacity;
    -moz-transition-property: -moz-transform, opacity;
    -ms-transition-property: -ms-transform, opacity;
    -o-transition-property: -o-transform, opacity;
    transition-property: transform, opacity;
}

.isotope.no-transition,
.isotope.no-transition .isotope-item,
.isotope .isotope-item.no-transition {
    -webkit-transition-duration: 0s;
    -moz-transition-duration: 0s;
    -ms-transition-duration: 0s;
    -o-transition-duration: 0s;
    transition-duration: 0s;
}

/*----------------------- 12. TAGS AND CATEGORIES LIST ------------------------------ */

.catlist {
    display: table;
    line-height: 1.5em;
}

.taglist {
    margin-top: 0.3rem;
    margin-right: 0.5rem;
    padding: 0.5rem 0;
    font-weight: bold;
}

/*----------------------- 13. SINGLE STYLES ------------------------------ */

.second-ft-image,
.ft-video {
    width: 100%;
    background-position: center;
    background-size: cover;
    position: relative;
    height: calc(100vh - 69px);
}

.sticky-ft-image {    
    width: 100%;
	height: 60vh;
    position: relative;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.sticky-top-img {
    position: -webkit-sticky;
    position: sticky;
    z-index: 1020;
}

.second-ft-image-page {
    width: 100%;
    background-position: center;
    background-size: cover;
    position: relative;
    height: calc(70vh - 69px);
}

.overlay-single,
.overlay-page {
    background: rgba(0, 0, 0, .2);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
}

.single-title-box,
.page-title-box {
    position: absolute;
    top: calc(50% - 40%);
    color: #fff;
    width: auto;
    left: 0;
}

.single-title-box a,
.page-title-box a {
    color: #fff;
}

.post-header {
    font-size: 2.5em;
    margin: 0.25em 0;
    font-weight: bold;
}

/* Parallax effect for featured images */
.parallax {	
	position: relative;
    display: block;
    overflow: hidden;
}

img.img-parallax {
	width: 100%;
	object-fit: cover;
}

/* You can use this class for a wide image in a full container post */
.wide {
    margin-left: calc(50% - 50vw);
    margin-right: calc(50% - 50vw);
    max-width: 1000%;
    width: auto;
    z-index: 999;
    position: relative;
}

/* The container for the featured video in single */
.video-container {
    width: 100%;
    height: 90vh;
    position: relative;
}

.border-bottom-ct {
    border-bottom: 1px solid #EDEDED;
}

.border-top-ct {
    border-top: 4px solid #EDEDED;
}

.table-bordered {
    border: unset;
}

.sticky-top-left-title {
    position: -webkit-sticky;
    position: sticky;
    z-index: 1020;
    margin-bottom: 1rem;
}

/*----------------------- 14. SHARE BUTTONS ------------------------------ */

ul.share-buttons {
    list-style: none;
    padding: 0;
}

ul.share-buttons li {
    display: inline;
    margin-right: 5px;
}

ul.share-buttons .sr-only {
    position: absolute;
    clip: rect(1px 1px 1px 1px);
    clip: rect(1px, 1px, 1px, 1px);
    padding: 0;
    border: 0;
    height: 1px;
    width: 1px;
    overflow: hidden;
}

.fbshare a {
    color: #4267B2;
}

.whatsapp a {
    color: #5CBE4A;
}

.telegram a {
    color: #1F9CDB;
}

.email a {
    color: #FF8C00;
}

.share-inside .fbshare a, .share-inside .whatsapp a, .share-inside .telegram a, .share-inside .email a { 
	color: #fff; 
}

/*----------------------- 15. WORDPRESS GENERAL STYLES ------------------------------ */

.gallery-caption {
    display: block;
    font-size: 0.71111em;
    line-height: 1.6;
    margin: 0;
    padding: 0.5rem;
}

body.author .avatar {
    margin: 0 auto;
    max-width: 100%;
    height: auto;
    display: block;
	border-radius: 100% !important;
}

.bypostauthor {
    display: block;
}

.screen-reader-text {
    border: 0;
    clip: rect(1px, 1px, 1px, 1px);
    clip-path: inset(50%);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
    word-wrap: normal;
}

img.alignright {
    float: right;
    margin: 0 0 1em 1em;
}

img.alignleft {
    float: left;
    margin: 0 1em 1em 0;
}

img.aligncenter {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.alignright {
    float: right;
}

.alignleft {
    float: left;
}

.aligncenter {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.wp-caption p.wp-caption-text {
    border-bottom: 1px solid #EDEDED;
    font-size: 12px;
    font-weight: bold;
    margin: 0;
    padding-bottom: 1rem;
    text-align: left;
}

div.wp-caption p:first-of-type:first-letter, div.wp-caption p .wp-caption-text:first-of-type:first-letter {
	background: unset !important;
    font-size: unset !important;
    font-weight: unset !important;
    color: unset !important;
    padding: unset !important;
    margin: unset !important;
    float: unset !important;
    line-height: unset !important;
}

div.wp-caption {
    max-width: 100%;
}

blockquote>p {
    border-left: 4px solid #19F;
    padding: 1rem;
    margin-top: 1rem;
    font-weight: bold;
    font-size: 1.25em;
}

pre {
    margin: 1rem;
    padding: 1rem;
    color: #aaa;
    background-color: #333333;
    white-space: pre;
    border-radius: .25rem;
    font: 16px/24px 'Courier New', Courier, 'Lucida Sans Typewriter', 'Lucida Typewriter', monospace;
}

/* WORDPRESS COMMENTS 
--------------------- */

#comments ol li {
    display: block;
}

.comment-respond {
    margin: 1rem 0;
}

/*----------------------- 16. WORDPRESS PAGED NAVIGATION ------------------------------ */

.page-numbers,
.page-numbers a,
.page-numbers a:hover,
.page-numbers li.active a,
.page-numbers.disabled {
    cursor: pointer;
    padding: .25rem .75rem;
    display: inline-block;
    width: 35px;
    height: 35px;
    vertical-align: middle;
}

.page-numbers.current {
    font-weight: bold;
}

/*----------------------- 17. WORDPRESS WIDGETS STYLES ------------------------------ */

.widget_categories ul,
.widget_archive ul,
.widget_pages ul,
.widget_recent_entries ul {
    padding-left: 0;
}

.widget_categories li,
.widget_archive li,
.widget_pages li,
.widget_recent_entries li {
    list-style: none;
    margin-bottom: 0.25rem;
}

/* Specially rational-styled calendar for WP */
#wp-calendar {
    width: 100%;
    max-width: 37.5rem;
    margin-left: auto;
    margin-right: auto;
}

#wp-calendar caption {
    padding: 0.5rem;
    text-align: right;
    caption-side: top;
    font-weight: bold;
    font-size: 1.25rem;
    color: unset;
    text-transform: lowercase;
}

#wp-calendar thead tr {
    border-right: 1px solid #ccc;
}

#wp-calendar thead th {
    font-weight: bold;
    padding: 0.25rem;
    text-transform: lowercase;
    text-align: right;
    border-right: 1px solid #ccc;
}

#wp-calendar tbody td {
    position: relative;
    padding: 0.25rem;
    text-align: right;
    border-right: 1px solid #ccc;
    font-weight: bold;
}

#wp-calendar tbody td.pad {
    opacity: 0.7;
}

#wp-calendar tbody td#today {
    font-weight: bold;
}

#wp-calendar tbody td#today:after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 0;
    height: 0;
    border-top: 10px solid #999;
    border-left: 10px solid transparent;
}

#wp-calendar tbody td a {
    display: block;
    background: #20c997;
}

#wp-calendar tbody td a:hover {
    background: #0074C6;
    color: #fff;
}

#wp-calendar tfoot tr {
    border-bottom: 1px solid #ccc;
}

#wp-calendar tfoot tr td {
    border: 0;
    padding: 0;
}

#wp-calendar tfoot tr a {
    display: block;
    padding: 0.25rem 0.75rem;
    text-transform: lowercase;
}

#wp-calendar tfoot tr #prev {
    text-align: left;
}

#wp-calendar tfoot tr #next {
    text-align: right;
}

/* RECENT COMMENTS WIDGET
------------------------- */

.widget_recent_comments ul {
    list-style: none;
    padding: 0;
}

.widget_recent_comments li:before {
    content: "\f4a6";
    /* right */
    font-family: "Font Awesome 5 Pro";
    font-weight: 300;
    width: 32px;
    height: 32px;
    line-height: 32px;
    margin-right: .75em;
}

.comment-author-link {
    font-weight: bold;
}

/* COUNTS IN WIDGETS
-------------------- */

.post_count {
    display: inline-block;
    padding: 0 0.5em;
    margin-left: 0.5em;
    font-weight: bold;
    font-size: 0.875rem;
}

.tag_count {
    background: orange;
}

.archive_count {
    background: red;
    color: #fff;
}

.categories_count {
    background: blue;
    color: #fff;
}

/*----------------------- 18. GALLERY STYLES ------------------------------ */

.square-gallery {
    width: 100%;
    padding-bottom: 100%;
}

/* PACKERY GENERAL GRID
----------------------- */

.packery:after {
    content: ' ';
    display: block;
    clear: both;
}

.grid-item-2,
.grid-item-3,
.grid-item-4,
.grid-item-5,
.grid-item-big {
    float: left;
}

/* FLICKITY SLIDER
------------------ */

.carousel-cell {
    width: 66%;
    height: 400px;
    margin-right: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.carousel-cell-image {
    display: block;
    max-height: 100%;
}

.carousel-cell-image {
    max-width: 100%;
}

.flickity-viewport {
    transition: height 0.2s;
}

.flickity-prev-next-button {
    width: 42px;
    height: 55px;
}

.flickity-button {
    background: #fff;
}

.flickity-button-icon {
    display: none;
}

.flickity-prev-next-button.previous {
    left: 0;
    border-radius: 0;
}

.flickity-prev-next-button.next {
    right: 0;
    border-radius: 0;
}

.prev:before, .previous:before {
    content: "\f104";
    /* left */
    font-family: "Font Awesome 5 Pro";
    font-weight: 300;
	font-size: 2rem;
    padding-right: 2px;
}

.next:before {
    content: "\f105";
    /* right */
    font-family: "Font Awesome 5 Pro";
    font-weight: 300;
	font-size: 2rem;
    padding-left: 2px;
}

.paginationnav .prev:before, .paginationnav .next:before {
	font-size: 1rem;
}

.slider-cover {
    height: 70vh;
    width: 100%;
}

.slider-box {
    width: 50%;
}

.slider-mx {
    margin-right: -15px;
    margin-left: -15px;
}

/*----------------------- 19. CONTACT FORM STYLES ------------------------------ */

.contact-border {
    border: 0;
    border-radius: 0;
    border-bottom: 1px solid;
}

.message-label {
    color: #6c757d;
    padding: 0.375rem 0.75rem;
    margin-bottom: 1rem;
}

.thanks {
    font-weight: bold;
    border: 1px solid;
    padding: 0.375rem 0.75rem;
    text-align: center;
}

/* CUSTOM CF7 STYLES
-------------------- */

.wpcf7 label {
    font-weight: bold;
}

/* SELECT
--------- */

select.wpcf7-select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: url('../img/arrowdown.svg');
    background-position-x: 95%;
    background-position-y: 50%;
    background-repeat: no-repeat;
    background-size: 15px 15px;
    background-color: #ededed;
}

.wpcf7-select {
    width: 100%;
    border: 1px solid #efefef;
    padding: 7px 40px;
    margin-top: 0.5rem;
    padding-left: 20px;
}

/* FIELDS
--------- */

.wpcf7 input[type="text"],
.wpcf7 input[type="email"],
.wpcf7 input[type="tel"] {
    background-color: #ededed;
    border: 1px solid #efefef;
    padding: 7px 20px;
    margin-top: 0.5rem;
    width: 100%;
}

.wpcf7 textarea {
    background-color: #ededed;
    border: 1px solid #efefef;
    padding: 7px 20px;
    margin-top: 0.5rem;
    width: 100%;
}

.wpcf7-quiz-label {
    display: block;
    margin-top: 0.5rem;
}

/* RADIO
-------- */

.wpcf7-list-item-label {
    margin-left: 0.5em;
    display: inline-block;
}

.wpcf7 input[type="radio"]:after {
    width: 22px;
    height: 22px;
    border-radius: 15px;
    top: -3px;
    left: -1px;
    position: relative;
    background-color: #d1d3d1;
    content: '';
    display: inline-block;
    visibility: visible;
    border: 2px solid white;
}

.wpcf7 input[type="radio"]:checked:after {
    width: 22px;
    height: 22px;
    border-radius: 15px;
    top: -3px;
    left: -1px;
    position: relative;
    background-color: #1199FF;
    content: '';
    display: inline-block;
    visibility: visible;
    border: 2px solid white;
}

/* CHECKBOX
----------- */

.wpcf7-list-item-label {
    margin-left: 0.75em;
    display: inline-block;
}

.wpcf7 input[type="checkbox"]:after {
    width: 22px;
    height: 22px;
    top: -3px;
    left: -1px;
    position: relative;
    background-color: #d1d3d1;
    content: '';
    display: inline-block;
    visibility: visible;
    border: 2px solid white;
}

.wpcf7 input[type="checkbox"]:checked:after {
    width: 22px;
    height: 22px;
    border-radius: 5px;
    top: -3px;
    left: -1px;
    position: relative;
    background-color: red;
    content: '';
    display: inline-block;
    visibility: visible;
    border: 2px solid white;
}

/* BUTTONS
---------- */

.wpcf7 input[type="submit"],
.wpcf7 input[type="button"] {
    background-color: #ededed;
    border: 1px solid #efefef;
    padding: 7px 20px;
    font-weight: bold;
}

.wpcf7 input[type=file] {
    color: #000;
    background-color: #ededed;
    border: 1px solid #efefef;
    padding: 7px 20px;
}

/* MESSAGES
----------- */

span.wpcf7-not-valid-tip {
    padding: 7px 20px;
}

div.wpcf7-validation-errors,
div.wpcf7-acceptance-missing,
div.wpcf7-mail-sent-ok {
    font-weight: bold;
    margin: 0;
    padding: 7px 20px;
}

div.wpcf7-mail-sent-ok {
    color: #398f14;
}

.wpcf7-mail-sent-ok:before {
    content: "\f058";
    font-family: "Font Awesome 5 Pro";
    font-weight: 900;
    padding-right: 4px;
}

.wpcf7-not-valid-tip:before,
.wpcf7-validation-errors:before,
.wpcf7-acceptance-missing:before {
    content: "\f06a";
    font-family: "Font Awesome 5 Pro";
    font-weight: 900;
    padding-right: 4px;
}

/*----------------------- 20. SWITCH FOR ENABLE-DISABLE NORMAL AND DARK MODE ------------------------------ */

.switch-checkbox {
    position: relative;
    cursor: pointer;
}

.switch-checkbox input[type="checkbox"],
.switch-checkbox .checked {
    display: none;
}

.switch-checkbox input[type="checkbox"]:checked~.checked {
    display: inline-block;
}

.switch-checkbox input[type="checkbox"]:checked~.unchecked {
    display: none;
}

/* DARK MODE STYLES
------------------- */

body.dark-mode {
    color: #fff;
    background: #232323;
}

body.dark-mode a {
    color: #fff;
}

body.dark-mode a:hover {
    text-decoration: none;
}

body.dark-mode .bg {
    background: #232323;
}

body.dark-mode .bg-nextprev {
    background: #191919;
}

body.dark-mode .bg-slider {
    background: #191919;
}

body.dark-mode .bg-navbar {
    background: #191919;
}

body.dark-mode .bg-current {
    background: #3a3a3a;
}

body.dark-mode .bg-post-ly1 {
    background: #141414;
}

body.dark-mode .bg-side {
    background: #333333;
}

body.dark-mode .post-box-bg {
    background: #333333;
}

body.dark-mode .hamb-menu {
    color: #fff;
}

body.dark-mode .logow {
    display: none;
}

body.dark-mode .logob {
    display: block;
}

body.dark-mode .img__description a:hover {
    color: #fff;
}

body.dark-mode .arrow-icon:before {
    background: #141414;
}

body.dark-mode .card {
    background-color: #191919;
}

body.dark-mode .modal-content {
    background-color: #191919;
}

body.dark-mode .border-right {
    border-right: 1px solid #000;
}

body.dark-mode .border-custom {
    border-color: #232323;
}

body.dark-mode .flickity-button {
    background-color: #232323;
    color: #fff;
}

body.dark-mode .dropdown-btn {
    color: #fff;
}

body.dark-mode .message-label {
    color: #fff;
}

body.dark-mode .closebtn:hover {
    color: #fff;
}

body.dark-mode .close {
	color: #fff;
}

body.dark-mode a.page-numbers {
    color: #000;
}

/*----------------------- 21. RESPONSIVE STYLES ------------------------------ */

@media only screen and (max-height: 450px) {

    .sidenav {
        padding-top: 15px;
    }

    .sidenav a {
        font-size: 18px;
    }

}

@media only screen and (min-width: 300px) and (max-width: 450px) {

    #headsearch input[type="search"]:focus {
        width: 60px;
    }

}

@media only screen and (max-width: 576px) {

    .video-container {
        height: 50vh;
    }

}

@media only screen and (max-width: 768px) {
	
	.sidenav .closebtn {
		top: 15px;
	}

}

@media only screen and (max-width: 800px) {
	
	.slider-box {
        width: auto;
    }

    .grid-sizer {
        width: 50%;
    }

    .grid-item-2,
    .grid-item-3,
    .grid-item-4,
    .grid-item-5 {
        width: 50%;
    }

    .half {
        width: 100%;
    }

    .posts .hentry:nth-of-type(4n+3) .square-50 {
        float: left;
    }

    .posts .hentry:nth-of-type(4n+2) .square-50,
    .posts .hentry:nth-of-type(4n+4) .square-50 {
        float: right;
    }

    .posts .hentry:nth-of-type(4n+3) .entry-inner {
        left: auto;
        right: 0;
    }

    .posts .hentry:nth-of-type(4n+2) .entry-inner,
    .posts .hentry:nth-of-type(4n+4) .entry-inner {
        left: 0;
        right: auto;
    }

    .posts .hentry:nth-of-type(4n+2) .arrow-icon:before {
        content: "\f060";
        /* left */
        left: 0;
        right: unset;
    }

    .posts .hentry:nth-of-type(4n+3) .arrow-icon:before {
        content: "\f061";
        /* right */
        right: 0;
        left: unset;
    }

    .scroll {
        white-space: nowrap;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
        -ms-overflow-style: -ms-autohiding-scrollbar;
    }

    .scroll::-webkit-scrollbar {
        display: none;
    }

    .scroll-rg {
        overflow-y: auto;
        height: 100%;
        -webkit-overflow-scrolling: touch;
        -ms-overflow-style: -ms-autohiding-scrollbar;
    }

    .scroll-rg::-webkit-scrollbar {
        display: none;
    }

    .post-header {
        font-size: 2em;
    }

}

@media only screen and (min-width: 992px) {

    .grid-item-2 {
        width: 50%;
    }

    .grid-item-3 {
        width: 33.333%;
    }

    .grid-item-4 {
        width: 25%;
    }

    .grid-item-5 {
        width: 20%;
    }
	
	img.img-parallax {
		height: auto;
	}

}

@media only screen and (max-width: 991px) {
	
	.parallax {
		display: block;
		position: relative;
		overflow: hidden;
		margin: 0;
		height: unset;
	}
	
	img.img-parallax {
		position: unset;
		transform: unset !important;
		height: calc(100vh - 69px);
	}
	
}

@media only screen and (max-width: 1024px) {

    span.wpcf7-list-item {
        display: block;
        margin: 0;
    }
}